aboutsummaryrefslogtreecommitdiffstats
path: root/src/main/bin
diff options
context:
space:
mode:
authorLeonard, Mark (ml401d) <ml401d@att.com>2018-03-21 18:40:41 +0000
committerMark Leonard <mark.j.leonard@gmail.com>2018-03-28 13:50:51 +0100
commit66b3afa06776e9944ad515206d281d67747c9770 (patch)
tree427098937879fe09ae4fc3af4ae004359a60212a /src/main/bin
parent161f5a7d9b900ae34a4886d7f7fb01ea496f71eb (diff)
Incorporate the ECOMP SDC Artefact Generator code
Remove the Maven dependency on openecomp-sdc-artifact-generator-core, because this is not maintained in the ONAP source code repositories. The functionality provided by the SDC Artifact Generator is replaced with equivalent code that depends on the SDC-TOSCA parsing library, without introducing any backwards-compatibility breaks. The intention is to make this Maven project more maintainable by depending only the common ONAP libraries. Change-Id: I01d78575d3b7c70a11e4c7989a021de3c0913a06 Issue-ID: AAI-943 Signed-off-by: mark.j.leonard <mark.j.leonard@gmail.com>
Diffstat (limited to 'src/main/bin')
-rw-r--r--src/main/bin/start.sh24
1 files changed, 18 insertions, 6 deletions
diff --git a/src/main/bin/start.sh b/src/main/bin/start.sh
index 1854884..00d7dd6 100644
--- a/src/main/bin/start.sh
+++ b/src/main/bin/start.sh
@@ -3,8 +3,8 @@
# ============LICENSE_START=======================================================
# org.onap.aai
# ================================================================================
-# Copyright © 2017 AT&T Intellectual Property. All rights reserved.
-# Copyright © 2017 European Software Marketing Ltd.
+# Copyright © 2017-2018 AT&T Intellectual Property. All rights reserved.
+# Copyright © 2017-2018 European Software Marketing Ltd.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -18,8 +18,6 @@
# See the License for the specific language governing permissions and
# limitations under the License.
# ============LICENSE_END=========================================================
-#
-# ECOMP is a trademark and service mark of AT&T Intellectual Property.
BASEDIR="/opt/app/babel/"
AJSC_HOME="$BASEDIR"
@@ -29,6 +27,22 @@ if [ -z "$CONFIG_HOME" ]; then
exit 1
fi
+foo () {
+if [ -z "$KEY_STORE_PASSWORD" ]; then
+ echo "KEY_STORE_PASSWORD must be set in order to start up process"
+ exit 1
+else
+ echo "KEY_STORE_PASSWORD=$KEY_STORE_PASSWORD\n" >> $AJSC_CONF_HOME/etc/sysprops/sys-props.properties
+fi
+
+if [ -z "$KEY_MANAGER_PASSWORD" ]; then
+ echo "KEY_MANAGER_PASSWORD must be set in order to start up process"
+ exit 1
+else
+ echo "KEY_MANAGER_PASSWORD=$KEY_MANAGER_PASSWORD\n" >> $AJSC_CONF_HOME/etc/sysprops/sys-props.properties
+fi
+}
+
CLASSPATH="$AJSC_HOME/lib/*"
CLASSPATH="$CLASSPATH:$AJSC_HOME/extJars/"
CLASSPATH="$CLASSPATH:$AJSC_HOME/etc/"
@@ -41,8 +55,6 @@ PROPS="$PROPS -DAJSC_SERVICE_VERSION=v1"
PROPS="$PROPS -Dserver.port=9516"
PROPS="$PROPS -DCONFIG_HOME=$CONFIG_HOME"
PROPS="$PROPS -Dartifactgenerator.config=$CONFIG_HOME/artifact-generator.properties"
-PROPS="$PROPS -DKEY_STORE_PASSWORD=$KEY_STORE_PASSWORD"
-PROPS="$PROPS -DKEY_MANAGER_PASSWORD=$KEY_MANAGER_PASSWORD"
JVM_MAX_HEAP=${MAX_HEAP:-1024}
echo $CLASSPATH